Bug 1671432 (CVE-2019-7146) - CVE-2019-7146 elfutils: buffer over-read in the ebl_object_note function in eblobjnote.c in libebl
Summary: CVE-2019-7146 elfutils: buffer over-read in the ebl_object_note function in e...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-7146
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1671433 1680021
Blocks: 1671448
TreeView+ depends on / blocked
 
Reported: 2019-01-31 15:19 UTC by Laura Pardo
Modified: 2019-11-06 00:52 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-06 00:52:06 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3575 None None None 2019-11-05 21:13:35 UTC

Description Laura Pardo 2019-01-31 15:19:20 UTC
In elfutils 0.175, there is a buffer over-read in the ebl_object_note function in eblobjnote.c in libebl. Remote attackers could leverage this vulnerability to cause a denial-of-service via a crafted elf file.


References:
https://sourceware.org/bugzilla/show_bug.cgi?id=24075
https://sourceware.org/bugzilla/show_bug.cgi?id=24081

Upstream Patch:
https://sourceware.org/git/?p=elfutils.git;a=commit;h=012018907ca05eb0ab51d424a596ef38fc87cae1
https://sourceware.org/git/?p=elfutils.git;a=commit;h=cd7ded3df43f655af945c869976401a602e46fcd

Comment 1 Laura Pardo 2019-01-31 15:19:42 UTC
Created elfutils tracking bugs for this issue:

Affects: fedora-all [bug 1671433]

Comment 4 Dave Baker 2019-02-28 16:24:27 UTC
From upstream: https://sourceware.org/bugzilla/show_bug.cgi?id=24075 
- This code was introduced in 0.175 and not present in 0.174.
- Does not affect openshift-online-3

Comment 5 errata-xmlrpc 2019-11-05 21:13:33 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2019:3575 https://access.redhat.com/errata/RHSA-2019:3575

Comment 6 Product Security DevOps Team 2019-11-06 00:52:06 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-7146


Note You need to log in before you can comment on or make changes to this bug.